bitel.billing.server.contract.bean

## Class ContractTariff

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractTariff

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  use `ContractTariffDao` and `ContractTariff`

      public class ContractTariff
      extends java.lang.Object
      implements java.io.Serializable

  Объект сопоставляет договору тарифный план на определенный период. Соответствует записи из таблицы contract_tariff. Содержит следующие поля, устанавливаемые и получаемые с помощью get/set функций:

  private int ID - код записи в таблице
  private int contractID - код договора
  private int tariffPlanID - код тарифного плана
  private Calendar date1 - начало периода действия
  private Calendar date2 - окончание
  private String comment = "" - комментарий
  ...
  private int replacedFromTariff - если запись получена через смену тарифа с кого-то другого, то здесь сохраняется id предыдущей записи (чтобы можно было откатить, например)

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractTariff()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContractTariff` | `fromNew(ContractTariff contractTariff)` Deprecated.
    `java.lang.String` | `getComment()` Deprecated.
    `int` | `getContractId()` Deprecated.
    `java.util.Calendar` | `getDate1()` Deprecated.
    `java.util.Calendar` | `getDate2()` Deprecated.
    `int` | `getEntityId()` Deprecated.
    `int` | `getEntityMid()` Deprecated.
    `int` | `getId()` Deprecated.
    `int` | `getPos()` Deprecated.
    `int` | `getReplacedFromContractTariffId()` Deprecated.
    `int` | `getTariffPlanId()` Deprecated.
    `void` | `setComment(java.lang.String comment)` Deprecated.
    `void` | `setContractId(int contractId)` Deprecated.
    `void` | `setDate1(java.util.Calendar date1)` Deprecated.
    `void` | `setDate2(java.util.Calendar date2)` Deprecated.
    `void` | `setEntityId(int entityId)` Deprecated.
    `void` | `setEntityMid(int entityMid)` Deprecated.
    `void` | `setId(int id)` Deprecated.
    `void` | `setPos(int pos)` Deprecated.
    `void` | `setReplacedFromContractTariffId(int replacedFromContractTariffId)` Deprecated.
    `void` | `setTariffPlanId(int tariffPlanId)` Deprecated.
    `static ContractTariff` | `toNew(ContractTariff contractTariff)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractTariff

          public ContractTariff()

      Deprecated.

  - ### Method Detail

    - #### getEntityMid

          public int getEntityMid()

      Deprecated.

    - #### setEntityMid

          public void setEntityMid(int entityMid)

      Deprecated.

    - #### getEntityId

          public int getEntityId()

      Deprecated.

    - #### setEntityId

          public void setEntityId(int entityId)

      Deprecated.

    - #### getPos

          public int getPos()

      Deprecated.

    - #### setPos

          public void setPos(int pos)

      Deprecated.

    - #### getContractId

          public int getContractId()

      Deprecated.

    - #### setContractId

          public void setContractId(int contractId)

      Deprecated.

    - #### setTariffPlanId

          public void setTariffPlanId(int tariffPlanId)

      Deprecated.

    - #### setDate2

          public void setDate2(java.util.Calendar date2)

      Deprecated.

    - #### setDate1

          public void setDate1(java.util.Calendar date1)

      Deprecated.

    - #### setComment

          public void setComment(java.lang.String comment)

      Deprecated.

    - #### setId

          public void setId(int id)

      Deprecated.

    - #### getDate1

          public java.util.Calendar getDate1()

      Deprecated.

    - #### getDate2

          public java.util.Calendar getDate2()

      Deprecated.

    - #### getTariffPlanId

          public int getTariffPlanId()

      Deprecated.

    - #### getComment

          public java.lang.String getComment()

      Deprecated.

    - #### getId

          public int getId()

      Deprecated.

    - #### getReplacedFromContractTariffId

          public int getReplacedFromContractTariffId()

      Deprecated.

    - #### setReplacedFromContractTariffId

          public void setReplacedFromContractTariffId(int replacedFromContractTariffId)

      Deprecated.

    - #### toNew

          public static ContractTariff toNew(ContractTariff contractTariff)

      Deprecated.

    - #### fromNew

          public static ContractTariff fromNew(ContractTariff contractTariff)

      Deprecated.